package com.ruoyi.project.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.mapper.TrsRegionWordsMapper;
import com.ruoyi.project.domain.TrsRegionWords;
import com.ruoyi.project.service.ITrsRegionWordsService;
import com.ruoyi.common.core.text.Convert;

import static com.ruoyi.common.utils.ShiroUtils.getSysUser;

/**
 * 内蒙古自治区地区Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-04-20
 */
@Service
public class TrsRegionWordsServiceImpl implements ITrsRegionWordsService 
{
    @Autowired
    private TrsRegionWordsMapper trsRegionWordsMapper;

    /**
     * 查询内蒙古自治区地区
     * 
     * @param id 内蒙古自治区地区主键
     * @return 内蒙古自治区地区
     */
    @Override
    public TrsRegionWords selectTrsRegionWordsById(Long id)
    {
        return trsRegionWordsMapper.selectTrsRegionWordsById(id);
    }

    /**
     * 查询内蒙古自治区地区列表
     * 
     * @param trsRegionWords 内蒙古自治区地区
     * @return 内蒙古自治区地区
     */
    @Override
    public List<TrsRegionWords> selectTrsRegionWordsList(TrsRegionWords trsRegionWords)
    {
        Long deptId = getSysUser().getDeptId();
        if(deptId == 100L){
            trsRegionWords.setDeptId(100L);
        }
        return trsRegionWordsMapper.selectTrsRegionWordsList(trsRegionWords);
    }

    /**
     * 新增内蒙古自治区地区
     * 
     * @param trsRegionWords 内蒙古自治区地区
     * @return 结果
     */
    @Override
    public int insertTrsRegionWords(TrsRegionWords trsRegionWords)
    {
        return trsRegionWordsMapper.insertTrsRegionWords(trsRegionWords);
    }

    /**
     * 修改内蒙古自治区地区
     * 
     * @param trsRegionWords 内蒙古自治区地区
     * @return 结果
     */
    @Override
    public int updateTrsRegionWords(TrsRegionWords trsRegionWords)
    {
        return trsRegionWordsMapper.updateTrsRegionWords(trsRegionWords);
    }

    /**
     * 批量删除内蒙古自治区地区
     * 
     * @param ids 需要删除的内蒙古自治区地区主键
     * @return 结果
     */
    @Override
    public int deleteTrsRegionWordsByIds(String ids)
    {
        return trsRegionWordsMapper.deleteTrsRegionWordsByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除内蒙古自治区地区信息
     * 
     * @param id 内蒙古自治区地区主键
     * @return 结果
     */
    @Override
    public int deleteTrsRegionWordsById(Long id)
    {
        return trsRegionWordsMapper.deleteTrsRegionWordsById(id);
    }
}
